Bug 107185 - [PATCH] security/gnupg updates
[PATCH] security/gnupg updates
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Jun Kuriyama
Depends on:
  Show dependency treegraph
Reported: 2006-12-25 09:10 UTC by dougb
Modified: 2007-02-26 00:54 UTC (History)
1 user (show)

See Also:

file.diff (1.96 KB, patch)
2006-12-25 09:10 UTC, dougb
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dougb freebsd_committer 2006-12-25 09:10:19 UTC
1.	In CONFIGURE_ARGS, the -libpth stuff is not needed, the 2.0.1 release
	fixed that problem. 
2.	NLS should be an option, as it is for gnupg 1.x
3.	The conflicting options detection creates a deadlock for users
	with conflicting options in existing /var/db/ports/gnupg/options

Fix: Apply the following patch:

How-To-Repeat: 	N/A
Comment 1 Edwin Groothuis freebsd_committer 2006-12-25 09:10:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kuriyama

Over to maintainer
Comment 2 dfilter freebsd_committer 2007-01-14 07:03:57 UTC
kuriyama    2007-01-14 07:03:52 UTC

  FreeBSD ports repository

  Modified files:
    security/gnupg       Makefile pkg-plist 
  - Make GPGSM dependency optional (then we can use this port without LDAP
    dependency). [1]
  - Remove libpth hack in configure since this problem was fixed in 2.0.1. [2]
  - Remove silly conflict detections which breaks BATCH building [2],[3]
  - Check libassuan package version (to avoid using old lib) [4]
  PR:             ports/107185 (I'm still working on NLS problem) [2],
                  ports/107349 [3]
  Submitted by:   Brian Minard <bminard@flatfoot.ca> [1],
                  dougb [2],
                  Ulrich Spoerlein <uspoerlein@gmail.com> [3],
                  Ian Lister <freebsd-ports@lister.dnsalias.net> [4]
  Revision  Changes    Path
  1.97      +14 -13    ports/security/gnupg/Makefile
  1.39      +2 -2      ports/security/gnupg/pkg-plist
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Jun Kuriyama freebsd_committer 2007-02-26 00:53:36 UTC
State Changed
From-To: open->closed

Feedback timeout. 

If you have a patch to activate NLS option, please let me know.